io.netty.handler.proxy

## Class ProxyConnectionEvent

- java.lang.Object
- - io.netty.handler.proxy.ProxyConnectionEvent

    public final class ProxyConnectionEvent
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ProxyConnectionEvent(String protocol, String authScheme, SocketAddress proxyAddress, SocketAddress destinationAddress)` Creates a new event that indicates a successful connection attempt to the destination address.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `authScheme()` Returns the name of the authentication scheme in use.
`<T extends SocketAddress> T` `destinationAddress()` Returns the address of the destination.
`String` `protocol()` Returns the name of the proxy protocol in use.
`<T extends SocketAddress> T` `proxyAddress()` Returns the address of the proxy server.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProxyConnectionEvent

    public ProxyConnectionEvent(String protocol,
                                String authScheme,
                                SocketAddress proxyAddress,
                                SocketAddress destinationAddress)

Creates a new event that indicates a successful connection attempt to the destination address.

### Method Detail

#### protocol

    public String protocol()

Returns the name of the proxy protocol in use.

#### authScheme

    public String authScheme()

Returns the name of the authentication scheme in use.

#### proxyAddress

    public <T extends SocketAddress> T proxyAddress()

Returns the address of the proxy server.

#### destinationAddress

    public <T extends SocketAddress> T destinationAddress()

Returns the address of the destination.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`